Index: code/branches/cegui0.8/data/gui/layouts/InGamePickupHUD.layout
===================================================================
--- code/branches/cegui0.8/data/gui/layouts/InGamePickupHUD.layout	(revision 11110)
+++ code/branches/cegui0.8/data/gui/layouts/InGamePickupHUD.layout	(revision 11118)
@@ -1,47 +1,34 @@
-<?xml version="1.0" encoding="UTF-8"?>
-
-<GUILayout>
-    <Window Type="DefaultWindow" Name="orxonox/InGamePickupHUD_RootWindow" >
-        <Property Name="InheritsAlpha" Value="False" />
-        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-        <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
-        <Window Type="TaharezLook/StaticImage" Name="orxonox/InGamePickupHUD_Overview" >
-            <Property Name="Font" Value="BlueHighway-12" />
-            <Property Name="Text" Value="Pickup List" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0,5},{0.15,0},{0.2,0},{0.45,0}}" />
-            <Property Name="Alpha" Value="0.3" />
-            <!--Event Name="Clicked" Function="InGameMenu.button_return_clicked"/-->
-            <Window Type="TaharezLook/StaticText" Name="orxonox/InGamePickupHUD_PickupTitle" >
-                <Property Name="Alpha" Value="0.8"/>
-                <Property Name="Text" Value="Pickup List" />
-                <Property Name="Font" Value="BlueHighway-10" />
-                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,-20},{0,20}}" />
+<?xml version='1.0' encoding='utf-8'?>
+<GUILayout version="4">
+    <Window name="InGamePickupHUD_RootWindow" type="DefaultWindow">
+        <Property name="InheritsAlpha" value="False" />
+        <Property name="MaxSize" value="{{1,0},{1,0}}" />
+        <Property name="Area" value="{{0,0},{0,0},{1,0},{1,0}}" />
+        <Window name="InGamePickupHUD_Overview" type="TaharezLook/StaticImage">
+            <Property name="Font" value="BlueHighway-12" />
+            <Property name="Text" value="Pickup List" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0,5},{0.15,0},{0.2,0},{0.45,0}}" />
+            <Property name="Alpha" value="0.3" />
+            <Window name="InGamePickupHUD_PickupTitle" type="TaharezLook/StaticText">
+                <Property name="Alpha" value="0.8" />
+                <Property name="Text" value="Pickup List" />
+                <Property name="Font" value="BlueHighway-10" />
+                <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                <Property name="Area" value="{{0,0},{0,0},{1,-20},{0,20}}" />
             </Window>
-            <Window Type="TaharezLook/Button" Name="orxonox/InGamePickupHUD_closeButton" >
-                <Property Name="Alpha" Value="0.8" />
-                <Property Name="Font" Value="BlueHighway-12" />
-                <Property Name="Text" Value="X" />
-                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="UnifiedAreaRect" Value="{{1,-20},{0,0},{1,0},{0,20}}" />
-                <!-- alle Grössen / anordnungen angepasst - da überschneidungen von absoluten
-                und relativen Positionsangaben (problematisch bei kleinen auflösungen) -->
-                <Event Name="Clicked" Function="InGamePickupHUD.close_button_clicked"/>
+            <Window name="InGamePickupHUD_closeButton" type="TaharezLook/Button">
+                <Property name="Alpha" value="0.8" />
+                <Property name="Font" value="BlueHighway-12" />
+                <Property name="Text" value="X" />
+                <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                <Property name="Area" value="{{1,-20},{0,0},{1,0},{0,20}}" />
+                <Event function="InGamePickupHUD.close_button_clicked" name="Clicked" />
             </Window>
-            <Window Type="TaharezLook/Listbox" Name="orxonox/InGamePickupHUD_PickupListBox">
-                <Property Name="Alpha" Value="0.8" />
-                <Property Name="Font" Value="BlueHighway-12" />
-                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="UnifiedAreaRect" Value="{{0,5},{0,25},{1,-5},{1,-5}}" />
-                <!--
-                <Window Type="TaharezLook/ListboxItem" Name="orxonox/InGamePickupHUD_TestPickupOne">
-                    <Property Name="Alpha" Value="0.8" />
-                    <Property Name="Font" Value="BlueHighway-12" />
-                    <Property Name="Text" Value="First Pickup" />
-                    <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                    <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{0,30},{1,0}}" />
-                </Window>
-                -->
+            <Window name="InGamePickupHUD_PickupListBox" type="TaharezLook/Listbox">
+                <Property name="Alpha" value="0.8" />
+                <Property name="Font" value="BlueHighway-12" />
+                <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                <Property name="Area" value="{{0,5},{0,25},{1,-5},{1,-5}}" />
             </Window>
         </Window>
